/*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
*/

Page({

    /**
     * 页面的初始数据
     */
    data: {
        name        : '',    //权益名
        profitData  : [],    //权益列表
        page        : {},    //下一页
        lodingStats : false, //加载状态
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad (options) {
        this.setData({
            name: options.name
        })

        // 获取收益列表
        this.profitInfo();
    },

    /**
     * 收益列表
     */
    profitInfo(page) {
        wx.$api.user.profitLogs(this.data.name, page).then(res=>{
            let listArr = this.data.publicData,
                newData = []
            if(page == 1 || page == undefined) listArr = []
            newData = listArr.concat(res.data.data)
           this.setData({
            publicData  : newData,
            page        : res.data.page,
            lodingStats : false
        })
           wx.stopPullDownRefresh()
        }).catch(err=>{})
    },

    /**
     * 上拉加载
     */
    onReachBottom(){
        this.setData({
            lodingStats: true
        })
        let pageNumber = this.data.page.current
        if(this.data.page.has_more){
            pageNumber++
            this.profitInfo(pageNumber)
        }
    }
})